Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.negotiator
Class LiveNegotiatorController

    java.lang.Object
      lbg.peer.core.negotiator.NegotiatorController
          lbg.peer.core.negotiator.LiveNegotiatorController

All Implemented Interfaces:
  java.lang.Runnable

    public class LiveNegotiatorController

extends NegotiatorController
implements java.lang.Runnable

Author:
  Cyril Briquet

Constructor Summary
`LiveNegotiatorController(Peer managed_peer, Negotiator negotiator)`

Method Summary
`void` | `awakeNegotiator()`
`int` | `maxSize()`
`void` | `run()` Runnable implementation.
`void` | `startService()`
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.core.negotiator.NegotiatorController
`activateSupplyingRequestsEvaluation, activateSupplyingRequestsGeneration, couldNegotiate, getAndResetControlFlags`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveNegotiatorController

    public LiveNegotiatorController(Peer managed_peer,
                                    Negotiator negotiator)
                             throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NegotiatorController`

### run

    public void run()

  Runnable implementation.

  Specified by:
    `run` in interface `java.lang.Runnable`

### startService

    public void startService()
                      throws GridException

  Throws:
    `GridException`

### awakeNegotiator

    public void awakeNegotiator()
                         throws GridException

  Specified by:
    `awakeNegotiator` in class `NegotiatorController`
  Throws:
    `GridException`

### maxSize

    public int maxSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.